Upstream information

CVE-2021-33468 at MITRE

Description

An issue was discovered in yasm version 1.3.0. There is a use-after-free in error() in modules/preprocs/nasm/nasm-pp.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1201907 [RESOLVED / WONTFIX]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 yasm Unsupported
SUSE Linux Enterprise Desktop 15 SP5 yasm Won't fix
SUSE Linux Enterprise Desktop 15 SP6 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP5 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP6 yasm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP5 yasm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP6 yasm Won't fix
SUSE Linux Enterprise Server 15 SP5 yasm Won't fix
SUSE Linux Enterprise Server 15 SP6 yasm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP5 yasm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP6 yasm Won't fix
SUSE Manager Proxy 4.3 yasm Won't fix
SUSE Manager Retail Branch Server 4.3 yasm Won't fix
SUSE Manager Server 4.3 yasm Won't fix
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS yasm Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP3 yasm Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS yasm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP2 yasm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP3 yasm Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 yasm Won't fix
SUSE Linux Enterprise Server 15 SP2 yasm Won't fix
SUSE Linux Enterprise Server 15 SP2-LTSS yasm Won't fix
SUSE Linux Enterprise Server 15 SP3 yasm Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS yasm Won't fix
SUSE Linux Enterprise Server 15 SP4 yasm Won't fix
SUSE Linux Enterprise Server 15 SP4-LTSS yasm Won't fix
SUSE Linux Enterprise Server 15-ESPOS yasm Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 yasm Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 yasm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 yasm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP3 yasm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 yasm Won't fix
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 yasm Won't fix
SUSE Enterprise Storage 6 yasm Affected
SUSE Enterprise Storage 7 yasm Won't fix
SUSE Linux Enterprise Desktop 15 yasm Won't fix
SUSE Linux Enterprise Desktop 15 SP1 yasm Won't fix
SUSE Linux Enterprise Desktop 15 SP2 yasm Won't fix
SUSE Linux Enterprise Desktop 15 SP3 yasm Unsupported
SUSE Linux Enterprise High Performance Computing 15 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1 yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS yasm Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15-ESPOS yasm Won't fix
SUSE Linux Enterprise High Performance Computing 15-LTSS yasm Unsupported
SUSE Linux Enterprise Module for Development Tools 15 yasm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP1 yasm Won't fix
SUSE Linux Enterprise Real Time 15 SP2 yasm Won't fix
SUSE Linux Enterprise Real Time 15 SP3 yasm Won't fix
SUSE Linux Enterprise Real Time 15 SP4 yasm Won't fix
SUSE Linux Enterprise Server 15 yasm Won't fix
SUSE Linux Enterprise Server 15 SP1 yasm Won't fix
SUSE Linux Enterprise Server 15 SP1-BCL yasm Won't fix
SUSE Linux Enterprise Server 15 SP1-LTSS yasm Won't fix
SUSE Linux Enterprise Server 15 SP2-BCL yasm Won't fix
SUSE Linux Enterprise Server 15 SP3-BCL yasm Won't fix
SUSE Linux Enterprise Server 15-LTSS yasm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 yasm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 yasm Won't fix
SUSE Manager Proxy 4.0 yasm Won't fix
SUSE Manager Proxy 4.1 yasm Unsupported
SUSE Manager Proxy 4.2 yasm Unsupported
SUSE Manager Retail Branch Server 4.0 yasm Won't fix
SUSE Manager Retail Branch Server 4.1 yasm Unsupported
SUSE Manager Retail Branch Server 4.2 yasm Unsupported
SUSE Manager Server 4.0 yasm Won't fix
SUSE Manager Server 4.1 yasm Unsupported
SUSE Manager Server 4.2 yasm Unsupported


SUSE Timeline for this CVE

CVE page created: Tue Jul 26 22:00:24 2022
CVE page last modified: Wed May 22 17:53:07 2024